Package org.apache.sysds.lops

## Class OutputParameters

- java.lang.Object
- - org.apache.sysds.lops.OutputParameters

-     public class OutputParameters
      extends Object

  class to maintain output parameters for a lop.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OutputParameters()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getBlocksize()` |
    `long` | `getCompressedSize()` |
    `String` | `getFile_name()` |
    `Types.FileFormat` | `getFormat()` |
    `String` | `getLabel()` |
    `boolean` | `getLinCacheMarking()` |
    `long` | `getNnz()` |
    `long` | `getNumCols()` |
    `long` | `getNumRows()` |
    `MatrixObject.UpdateType` | `getUpdateType()` |
    `boolean` | `isBlocked()` |
    `void` | `setBlocked​(boolean blocked)` |
    `void` | `setBlocksize​(long blen)` |
    `void` | `setCompressedSize​(long size)` |
    `void` | `setDimensions​(long rows, long cols, long blen, long nnz)` |
    `void` | `setDimensions​(long rows, long cols, long blen, long nnz, boolean linCacheCand)` |
    `void` | `setDimensions​(long rows, long cols, long blen, long nnz, long compressedSize)` |
    `void` | `setDimensions​(long rows, long cols, long blen, long nnz, MatrixObject.UpdateType update)` |
    `void` | `setDimensions​(long rows, long cols, long blen, long nnz, MatrixObject.UpdateType update, long compressedSize)` |
    `void` | `setDimensions​(OutputParameters input)` |
    `void` | `setDimensions​(DataCharacteristics dc)` |
    `void` | `setFile_name​(String fileName)` |
    `void` | `setFormat​(Types.FileFormat fmt)` |
    `void` | `setLabel​(String label)` |
    `void` | `setNnz​(long nnz)` |
    `void` | `setNumCols​(long cols)` |
    `void` | `setNumRows​(long rows)` |
    `void` | `setUpdateType​(MatrixObject.UpdateType update)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OutputParameters

          public OutputParameters()

  - ### Method Detail

    - #### getFile_name

          public String getFile_name()

    - #### setFile_name

          public void setFile_name​(String fileName)

    - #### getLabel

          public String getLabel()

    - #### setLabel

          public void setLabel​(String label)

    - #### setDimensions

          public void setDimensions​(DataCharacteristics dc)

    - #### setDimensions

          public void setDimensions​(long rows,
                                    long cols,
                                    long blen,
                                    long nnz)

    - #### setDimensions

          public void setDimensions​(long rows,
                                    long cols,
                                    long blen,
                                    long nnz,
                                    long compressedSize)

    - #### setDimensions

          public void setDimensions​(long rows,
                                    long cols,
                                    long blen,
                                    long nnz,
                                    MatrixObject.UpdateType update)

    - #### setDimensions

          public void setDimensions​(long rows,
                                    long cols,
                                    long blen,
                                    long nnz,
                                    MatrixObject.UpdateType update,
                                    long compressedSize)

    - #### setDimensions

          public void setDimensions​(long rows,
                                    long cols,
                                    long blen,
                                    long nnz,
                                    boolean linCacheCand)

    - #### setDimensions

          public void setDimensions​(OutputParameters input)

    - #### getFormat

          public Types.FileFormat getFormat()

    - #### setFormat

          public void setFormat​(Types.FileFormat fmt)

    - #### isBlocked

          public boolean isBlocked()

    - #### setBlocked

          public void setBlocked​(boolean blocked)

    - #### getNumRows

          public long getNumRows()

    - #### setNumRows

          public void setNumRows​(long rows)

    - #### getNumCols

          public long getNumCols()

    - #### setNumCols

          public void setNumCols​(long cols)

    - #### getNnz

          public long getNnz()

    - #### setNnz

          public void setNnz​(long nnz)

    - #### getCompressedSize

          public long getCompressedSize()

    - #### setCompressedSize

          public void setCompressedSize​(long size)

    - #### getUpdateType

          public MatrixObject.UpdateType getUpdateType()

    - #### setUpdateType

          public void setUpdateType​(MatrixObject.UpdateType update)

    - #### getLinCacheMarking

          public boolean getLinCacheMarking()

    - #### getBlocksize

          public long getBlocksize()

    - #### setBlocksize

          public void setBlocksize​(long blen)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`